=== debian/changelog ===
libpcap (1.10.5-2ubuntu2) questing; urgency=medium

  * Rebuild to include updated RISC-V base ISA RVA23

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Fri, 05 Sep 2025 19:11:28 +0000

libpcap (1.10.5-2ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add Build-Depends on libibverbs-dev to enable RDMA support.
      LP #2006557.
    - Have -dev package depend on libibverbs-dev per pkgconfig
    - Don't require ibverbs on i386

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 10 Feb 2025 08:34:00 +0100

libpcap (1.10.5-2) unstable; urgency=medium

  * Transfer ownership to pkg-security team.
  * Set Vcs-* fields to new locations in Debian group.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 09 Feb 2025 12:17:39 +0100

libpcap (1.10.5-1ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add Build-Depends on libibverbs-dev to enable RDMA support.
      LP #2006557.
    - Have -dev package depend on libibverbs-dev per pkgconfig
    - Don't require ibverbs on i386

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 16 Sep 2024 14:03:41 +0200

libpcap (1.10.5-1) unstable; urgency=low

  * New upstream release.
  * Drop lintian override 'package-name-doesnt-match-sonames'.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 01 Sep 2024 21:57:30 +0200

libpcap (1.10.4-5ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add Build-Depends on libibverbs-dev to enable RDMA support.
      LP #2006557.
    - Have -dev package depend on libibverbs-dev per pkgconfig
    - Don't require ibverbs on i386

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 09 Jul 2024 09:45:02 +0200

libpcap (1.10.4-5) unstable; urgency=medium

  * Acknowledge NMU from Benjamin Drung for time_t transition, thanks!
  * Run wrap-and-sort.
  * Bump Standards-Version to 4.7.0.
  * debian/watch: Switch to .tar.xz URLs as upstream homepage no longer
    lists the .tar.gz.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 04 May 2024 13:01:04 +0200

libpcap (1.10.4-4.1ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:55:12 +0000

libpcap (1.10.4-4.1ubuntu2) noble; urgency=medium

  * Move libibverbs-dev dependency to libpcap0.8-dev, the package shipping
    the actual .pc file that needs it.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 23 Mar 2024 22:54:39 +0000

libpcap (1.10.4-4.1ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Add Build-Depends on libibverbs-dev to enable RDMA support.
      LP #2006557.
    - Have -dev package depend on libibverbs-dev per pkgconfig
    - Don't require ibverbs on i386

 -- Lena Voytek <lena.voytek@canonical.com>  Mon, 04 Mar 2024 09:55:39 -0700

libpcap (1.10.4-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062565

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 16:15:04 +0000

libpcap (1.10.4-4ubuntu3) noble; urgency=medium

  * Don't require ibverbs on i386

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 02 Feb 2024 16:41:24 -0500

libpcap (1.10.4-4ubuntu2) noble; urgency=medium

  * Have -dev package depend on libibverbs-dev per pkgconfig

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 02 Feb 2024 16:37:47 -0500

libpcap (1.10.4-4ubuntu1) noble; urgency=medium

  * Add Build-Depends on libibverbs-dev to enable RDMA support.
    LP: #2006557.

 -- dann frazier <dann.frazier@canonical.com>  Thu, 01 Feb 2024 17:47:00 -0700
