=== debian/control ===
Source: libpcap
Section: devel
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Build-Depends: bison,
               debhelper-compat (= 13),
               dpkg-dev (>= 1.22.5),
               flex,
               libbluetooth-dev [linux-any],
               libdbus-1-dev,
               libibverbs-dev [!i386],
               linux-libc-dev [i386]
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://www.tcpdump.org/
Vcs-Browser: https://salsa.debian.org/debian/libpcap
Vcs-Git: https://salsa.debian.org/debian/libpcap.git

Package: libpcap-dev
Section: libdevel
Architecture: any
Depends: libpcap0.8-dev,
         ${misc:Depends}
Multi-Arch: same
Description: development library for libpcap (transitional package)
 Empty package to facilitate upgrades, can be safely removed.

Package: libpcap0.8-dev
Section: libdevel
Architecture: any
Depends: libc6-dev,
         libdbus-1-dev,
         libibverbs-dev [!i386],
         libpcap0.8t64 (= ${binary:Version}),
         ${misc:Depends}
Conflicts: libpcap0.7-dev
Multi-Arch: same
Description: development library and header files for libpcap0.8t64
 Headers, static libraries, and documentation for the libpcap library.
 .
 libpcap (Packet CAPture) provides a portable framework for low-level
 network monitoring.  Applications include network statistics
 collection, security monitoring, network debugging, etc.
 .
 Since almost every system vendor provides a different interface for
 packet capture, and since there are several tools that require this
 functionality, the libpcap authors created this system-independent API
 to ease in porting and to alleviate the need for several
 system-dependent packet capture modules in each application.

Package: libpcap0.8t64
Provides: ${t64:Provides}
Breaks: libpcap0.8 (<< ${source:Version})
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Replaces: libpcap0.8,
          libpcap0.8-dev (<< 1.10.4-3)
Multi-Arch: same
Description: system interface for user-level packet capture
 libpcap (Packet CAPture) provides a portable framework for low-level
 network monitoring.  Applications include network statistics collection,
 security monitoring, network debugging, etc.
 .
 Since almost every system vendor provides a different interface for
 packet capture, and since there are several tools that require this
 functionality, the libpcap authors created this system-independent API
 to ease in porting and to alleviate the need for several
 system-dependent packet capture modules in each application.
