=== debian/changelog ===
libpcap (1.10.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.10.6
    - Fixes CVE-2025-11961 (Closes: #1124381)
  * Switch watch file format to version 5
  * Update signing key E089DEF1D9C15D0D (extended until 2026-05-10)
  * Add d/upstream/metadata
  * d/control:
    - Remove redundant "Rules-Requires-Root: no"
    - Remove redundant "Priority: optional"
    - Bump Standards-Version to 4.7.3 (no changes required)
  * Overhaul d/copyright, rewrite in machine-readable format

 -- Peter Wienemann <wiene@debian.org>  Sun, 15 Feb 2026 19:18:22 +0100
