=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: libpcap
 Section: devel
-Priority: optional
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Build-Depends: bison,
                debhelper-compat (= 13),
@@ -8,10 +7,8 @@
                flex,
                libbluetooth-dev [linux-any],
                libdbus-1-dev,
-               libibverbs-dev [!i386],
                linux-libc-dev [i386]
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://www.tcpdump.org/
 Vcs-Browser: https://salsa.debian.org/debian/libpcap
 Vcs-Git: https://salsa.debian.org/debian/libpcap.git
@@ -30,7 +27,6 @@
 Architecture: any
 Depends: libc6-dev,
          libdbus-1-dev,
-         libibverbs-dev [!i386],
          libpcap0.8t64 (= ${binary:Version}),
          ${misc:Depends}
 Conflicts: libpcap0.7-dev
