=== debian/watch ===
Version: 5
Source: https://www.tcpdump.org
Matching-Pattern: release/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
Pgp-Sig-Url-Mangle: s%$%.sig%
